#!/bin/bash

HOST=`hostname --fqdn`;
DATE=`date +%Y%m%d-%H%M%S`

# Check the CA name
if [ ! -e /home/aaa/conf/$HOST/ca_name ]; then
  echo "Configuration error: missing /home/aaa/conf/$HOST/ca_name";
  exit 1;
fi

CA=`cat /home/aaa/conf/$HOST/ca_name`;

rm -rf /root/ca_data
mkdir /root/ca_data

# Simply install a link to the CA material for this peer.
ln -sf /home/aaa/ca/ca_data/$CA /root/ca_data/ca

# Links.
ln -s /root/ca_data/ca/clients/$HOST/certchain.pem /root/ca_data/cert.pem
ln -s /root/ca_data/ca/clients/$HOST/ca.pem /root/ca_data/
ln -s /root/ca_data/ca/clients/$HOST/privkey.pem /root/ca_data/
cat /root/ca_data/ca/clients/$HOST/crl/* > /root/ca_data/crl-$DATE.pem
ln -s /root/ca_data/crl-$DATE.pem /root/ca_data/crl.pem


# Done!
